#!BuildIgnore:          post-build-checks
Name:		nagios-plugins-lsi
Version:	0.5
Release:	2.1
License:	GPL
Source0:	check_mpt
Patch0:		check_mpt.diff
Source1:	check_megaraid_sas
Source2:	check_mpt2sas
Source3:	check_sas2ircu
Patch1:		check_megaraid_sas.diff
Requires:	perl mpt-status >= 1.2.0
Requires:	megacli
Requires:	sas2ircu
Group:		Applications/System
Summary:	LSI Raid Plugin
Provides:	check_mpt
Provides:	check_megaraid_sas
Provides:	check_megaraid
Provides:	check_mpt2sas
Provides:	check_sas2ircu

BuildRequires:	perl
BuildRequires:	mpt-status >= 1.2.0
BuildRequires:	megacli
BuildRequires:	sas2ircu

BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

%description
check_mpt gives informations about raid status for LSI Fusion controllers. 
This script rely on mpt-status tool from http://www.drugphish.ch/~ratz/mpt-status/ MPT Fusion raid inquiry tool. 

check_megaraid_sas uses MegaCLI to check raid status.

check_sas2ircu uses sas2ircu to check raid status.

check_mpt2sas is a low level check for mpt2sas based devices using procfs and scsi generic.

%prep
%setup -c -T
cp %{S:0} $RPM_BUILD_DIR/%{name}-%{version}/
%patch0
cp %{S:1} $RPM_BUILD_DIR/%{name}-%{version}/
%patch1
cp %{S:2} $RPM_BUILD_DIR/%{name}-%{version}/
cp %{S:3} $RPM_BUILD_DIR/%{name}-%{version}/

%build

%install
%__install -m 755 -d %{buildroot}/usr/lib/nagios/plugins/
%__install -m 755 check_mpt	%{buildroot}/usr/lib/nagios/plugins/
%__install -m 755 check_megaraid_sas	%{buildroot}/usr/lib/nagios/plugins/
%__install -m 755 check_mpt2sas	%{buildroot}/usr/lib/nagios/plugins/
%__install -m 755 check_sas2ircu %{buildroot}/usr/lib/nagios/plugins/

%files
%defattr(-,root,root,0755)
/usr/lib/nagios/plugins/check_mpt
/usr/lib/nagios/plugins/check_mpt2sas
/usr/lib/nagios/plugins/check_megaraid_sas
/usr/lib/nagios/plugins/check_sas2ircu

%changelog
* Mon Apr 29 2013 Carsten Schoene <cs@linux-administrator.com> - 0.5-1
- added check_sas2ircu plugin

* Sun Sep 09 2012 Carsten Schoene <cs@linux-administrator.com> - 0.4-1
- added -NoLog to all megacli commands in check_megaraid_sas plugin

* Mon Nov 22 2010 Carsten Schoene <cs@linux-administrator.com> - 0.3-1
- added check_mpt2sas (for DELL H200 controllers)

* Tue Jul 14 2009 Carsten Schoene <cs@linux-administrator.com> 
- disable warning in check_megaraid_sas
* Sat Aug 09 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package
